#
# spec file for package pqiv (Version 2.6)
#
#


Name:           pqiv
Version:        2.11
Release:        2%{?dist}
Summary:        A minimalist image viewer inspired by qiv
Group:          Productivity/Graphics/Viewers
License:        GPL v2 or later
Url:            https://github.com/phillipberndt/pqiv
Source0:        https://github.com/phillipberndt/pqiv/archive/%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
BuildRequires:  gtk3-devel poppler-devel libpoppler-glib-devel libspectre-devel ImageMagick-devel libarchive-devel gcc
%endif
%if %{defined fedora}
BuildRequires:  gtk3-devel poppler-devel libspectre-devel ImageMagick-devel libarchive-devel gcc
%endif

%description
Pqiv started as a modern rewrite of Qiv, but evolved into its own image viewer
over time.

Its features include:

 * Command line image viewer
 * Directory traversing to view whole directories
 * Watch files and directories for changes
 * Natural order sorting of the images
 * A status bar showing information on the current image
 * Transparency and animation support
 * Moving, zooming, rotation, flipping
 * Slideshows
 * Highly customizable and scriptable
 * Supports external image filters (e.g. `convert`)
 * Preloads the next image in the background
 * Fade between images
 * Optional PDF/eps/ps support (useful e.g. for scientific plots)
 * Optional video format support (e.g. for webm animations)

%prep
%setup -n pqiv-%{version}

%build
./configure --backends-build=shared
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README.markdown
/usr/bin/pqiv
/usr/lib/pqiv/*.so
/usr/lib/pqiv
/usr/share/man/man1/pqiv.1*
/usr/share/applications/pqiv.desktop

%changelog
* Wed May 1 2019 - Marco Hartgring <marco.hartgring@gmail.com>
- Rebuild for Fedora 30

* Fri Jan 4 2019 - Marco Hartgring <marco.hartgring@gmail.com>
- Updated to v2.11

* Tue Mar 20 2018 - Marco Hartgring <marco.hartgring@gmail.com>
- Updated to v2.10.2

* Tue Mar 28 2017 - Marco Hartgring <marco.hartgring@gmail.com>
- Updated to v2.8.3

* Sun Jul 10 2016 - phillip.berndt@googlemail.com
- initial version
